이미 대기 중인 초대가 있습니다

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. 응답의 type 값은 https://lingo.dev/docs/api/errors/invite-already-exists입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.

조직 <organizationId>에는 ada@example.com 주소로 보낸 초대가 이미 대기 중입니다. 새 초대를 보내기 전에 기존 초대를 취소하세요.

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.

필드유형
organizationIdstring
emailstring

예시#

json
{
  "detail": "Organization <organizationId> already has a pending invitation for ada@example.com. Cancel that invitation before sending a new one.",
  "organizationId": "<organizationId>",
  "email": "ada@example.com",
  "type": "https://lingo.dev/docs/api/errors/invite-already-exists",
  "status": 409,
  "title": "Invitation already pending"
}

이 오류를 반환하는 엔드포인트#

  • POST /v2/organizations/{orgId}/invites